%define builtin_release_name Taroon Update 8
%define builtin_release_variant AS
%define builtin_release_version 3%{builtin_release_variant}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}

%define product_family Red Hat Enterprise Linux
%if %{builtin_release_variant} == Desktop
%define product_family Red Hat
%endif

%define current_arch %{_arch}

Summary: %{product_family} release file
Name: redhat-release
Version: %{real_release_version}
Release: 13.8.3.1AX
Copyright: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/redhat-release-root
%if %{builtin_release_variant} == AS
ExclusiveArch: i386 x86_64 ia64 ppc s390 s390x
%endif
%if %{builtin_release_variant} == ES
ExclusiveArch: i386 x86_64 ia64
%endif
%if %{builtin_release_variant} == WS
ExclusiveArch: i386 x86_64 ia64
%endif
%if %{builtin_release_variant} == Desktop
ExclusiveArch: i386 x86_64
%endif

%description
%{product_family} release files

%prep

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc
echo "%{product_family} %{builtin_release_variant} release 3 (%{real_release_name})" > $RPM_BUILD_ROOT/etc/redhat-release

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/redhat-release

%changelog
* Tue Jul 25 2006 Shu Li <shuli@redflag-linux.com> 13.8.3.1AX
- Removed files that are irrelevant to Asianux.

* Fri Jul  7 2006 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}}-13.8.3
- Updated for RHEL 3 U8 final

* Tue Nov 29 2005 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}}-13.7.0
- Updated for RHEL 3 U7 Beta
- Switch /etc/issue and /etc/issue.net to (noreplace) bz #158292

* Thu Sep  8 2005 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_variant}-13.6.2
- Updated for RHEL 3 U6 final

* Thu Jul 28 2005 Dennis Gregorovic <dgregor@redhat.com> - 3%{builtin_release_version}-13.6.0
- Updated for RHEL 3 U6 Beta
